<?
define('PROTECTOR', 1);

$textl='Магазин';
@include('files/db.php');
@include('files/auth.php');
@include('files/func.php');
going();
ryd();
@include('files/core.php');
@include('files/head.php');
@include('files/zag.php');

switch($_GET[act]){

default:
$req = mysql_query("SELECT * FROM `shops` WHERE`id`='$_GET[id]'");
$avto=mysql_num_rows($req);
if($avto==0){
echo'Ошибка, такой вещи нет!';
@include('files/down.php');
exit;}
$mag = mysql_fetch_array($req);
///////////////
$req=mysql_query("SELECT * FROM domination WHERE id = '1'");
$dom = mysql_fetch_assoc($req);
if($dom['white']>$dom['black']){
$liders='white';
}elseif($dom['black']>$dom['white']){
$liders='black';
}else{
$liders='not';}
if($udata['storona']==$liders){
$mag[cena]=round($mag[cena]-(($mag[cena]/100)*10));}
/////////////
$nmoney=$udata[money]-$mag[cena];
if($nmoney<0){
echo'Нехватает монет!';
@include('files/down.php');
exit;}

mysql_query("INSERT INTO
        `weapon` SET
        `usr` = '$log',
        `tip` = '$mag[tip]',
        `kompl` = '$mag[kompl]',
        `proch` = '10',
        `name` = '$mag[name]',
        `cena` = '$mag[cena]',
        `hp` = '$mag[hp]',
        `mp` = '$mag[mp]',
        `krit` = '$mag[krit]',
        `ukrit` = '$mag[ukrit]',
        `sila` = '$mag[sila]',
        `lovk` = '$mag[lovk]',
        `prot` = '$mag[prot]',
        `nlvl` = '$mag[nlvl]',
        `image` = 'not'") or die (mysql_error());
mysql_query("UPDATE users SET money = '$nmoney' WHERE usr = '$log'");
echo"Вещь $mag[name] куплена и помещена в инвентарь!<br/>
Монет потрачено: $mag[cena]<br/>
Монет осталось: $nmoney<br/>";
echo"<a href=\"weapon.php?\">Назад</a>";
break;

case 'ask':
echo'Вы действительно хотите купить эту вещь?<br/>';
echo"<a href=\"shmot.php?id=$_GET[id]\">Да</a><br/>";
echo"<a href=\"weapon.php?\">Нет</a>";
break;}
@include('files/down.php');
?>